Bug 1113894 - [Staging] Virtualbox fails to build against puthon 3.7
[Staging] Virtualbox fails to build against puthon 3.7
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Virtualization:Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Larry Finger
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-30 08:52 UTC by Dominique Leuenberger
Modified: 2019-07-30 16:12 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2018-10-30 08:52:30 UTC
Tumbleweed is in process of preparing for Python 3.7

Virtualbox currently fails to build in this staging project:

[  127s] Checking for Python support: 
[  127s]   ** Python not found!
[  127s] Check /home/abuild/rpmbuild/BUILD/VirtualBox-5.2.18/configure.log for details

From a quick glance, the first thing to adjust is the switch_to_python3.6.patch, simply adding python3.7 to the list will help the configure step

But then the build fails further down with:

[ 1534s] In file included from /home/abuild/rpmbuild/BUILD/VirtualBox-5.2.20/src/libs/xpcom18a4/python/src/PyXPCOM_std.h:56,
[ 1534s]                  from /home/abuild/rpmbuild/BUILD/VirtualBox-5.2.20/src/libs/xpcom18a4/python/src/ErrorUtils.cpp:48:
[ 1534s] /home/abuild/rpmbuild/BUILD/VirtualBox-5.2.20/src/libs/xpcom18a4/python/src/ErrorUtils.cpp: In function 'char* PyTraceback_AsString(PyObject*)':
[ 1534s] /home/abuild/rpmbuild/BUILD/VirtualBox-5.2.20/src/libs/xpcom18a4/python/src/PyXPCOM.h:141:51: error: invalid conversion from 'const char*' to 'char*' [-fpermissive]
[ 1534s]  #   define PyUnicode_AsUTF8(o) _PyUnicode_AsString(o)
[ 1534s] /home/abuild/rpmbuild/BUILD/VirtualBox-5.2.20/src/libs/xpcom18a4/python/src/ErrorUtils.cpp:443:21: note: in expansion of macro 'PyUnicode_AsUTF8'
[ 1534s]   char *tempResult = PyUnicode_AsUTF8(obResult);
[ 1534s]                      ^~~~~~~~~~~~~~~~
[ 1534s] kmk: *** [/home/abuild/rpmbuild/BUILD/VirtualBox-5.2.20/out/linux.amd64/release/obj/VBoxPython3_7m/src/ErrorUtils.o] Error 1
[ 1534s] kmk: *** Waiting for unfinished jobs....
[ 1534s] /home/abuild/rpmbuild/BUILD/VirtualBox-5.2.20/src/libs/xpcom18a4/python/src/PyGBase.cpp: In member function 'virtual void* PyG_Base::ThisAsIID(const nsIID&)':
[ 1534s] /home/abuild/rpmbuild/BUILD/VirtualBox-5.2.20/src/libs/xpcom18a4/python/src/PyGBase.cpp:186:2: warning: nonnull argument 'this' compared to NULL [-Wnonnull-compare]
[ 1534s]   if (this==NULL) return NULL;
[ 1534s]   ^~
[ 1534s] kmk_builtin_append -n "/home/abuild/rpmbuild/BUILD/VirtualBox-5.2.20/out/linux.amd64/release/obj/VBoxPython3_7m/src/PyGBase.o.dep" "" "/home/abuild/rpmbuild/BUILD/VirtualBox-5.2.20/src/libs/xpcom18a4/python/src/PyGBase.cpp:" ""
[ 1534s] kmk: *** Exiting with status 2
[ 1534s] error: Bad exit status from /var/tmp/rpm-tmp.jymTMp (%build)
Comment 1 Larry Finger 2018-10-30 15:05:27 UTC
Thanks for the heads-up.

What repo should I build against to do local osc build tests?
Comment 2 Dominique Leuenberger 2018-10-31 07:21:31 UTC
(In reply to Larry Finger from comment #1)
> Thanks for the heads-up.
> 
> What repo should I build against to do local osc build tests?

openSUSE:Factory:Staging:C
Comment 3 Larry Finger 2018-11-03 04:14:32 UTC
Fixes to build under either Python 3.6 or 3.7 have been pushed to Factory.
Comment 4 Swamp Workflow Management 2018-11-03 07:40:14 UTC
This is an autogenerated message for OBS integration:
This bug (1113894) was mentioned in
https://build.opensuse.org/request/show/646137 Factory / virtualbox
Comment 5 Swamp Workflow Management 2018-11-03 19:40:10 UTC
This is an autogenerated message for OBS integration:
This bug (1113894) was mentioned in
https://build.opensuse.org/request/show/646211 Factory / virtualbox
Comment 6 Swamp Workflow Management 2018-11-06 16:00:06 UTC
This is an autogenerated message for OBS integration:
This bug (1113894) was mentioned in
https://build.opensuse.org/request/show/646694 Factory / virtualbox
Comment 7 Larry Finger 2018-12-10 14:35:10 UTC
Code fixed.
Comment 8 Swamp Workflow Management 2019-07-20 17:40:12 UTC
This is an autogenerated message for OBS integration:
This bug (1113894) was mentioned in
https://build.opensuse.org/request/show/717246 15.0 / virtualbox
Comment 9 Swamp Workflow Management 2019-07-30 16:12:17 UTC
openSUSE-SU-2019:1814-1: An update that fixes 52 vulnerabilities is now available.

Category: security (important)
Bug References: 1097248,1098050,1112097,1113894,1115041,1116050,1130503,1130588,1132379,1132439,1132827,1133289,1133492,1141801
CVE References: CVE-2018-0734,CVE-2018-11763,CVE-2018-11784,CVE-2018-3288,CVE-2018-3289,CVE-2018-3290,CVE-2018-3291,CVE-2018-3292,CVE-2018-3293,CVE-2018-3294,CVE-2018-3295,CVE-2018-3296,CVE-2018-3297,CVE-2018-3298,CVE-2019-1543,CVE-2019-2446,CVE-2019-2448,CVE-2019-2450,CVE-2019-2451,CVE-2019-2508,CVE-2019-2509,CVE-2019-2511,CVE-2019-2525,CVE-2019-2527,CVE-2019-2554,CVE-2019-2555,CVE-2019-2556,CVE-2019-2574,CVE-2019-2656,CVE-2019-2657,CVE-2019-2678,CVE-2019-2679,CVE-2019-2680,CVE-2019-2690,CVE-2019-2696,CVE-2019-2703,CVE-2019-2721,CVE-2019-2722,CVE-2019-2723,CVE-2019-2848,CVE-2019-2850,CVE-2019-2859,CVE-2019-2863,CVE-2019-2864,CVE-2019-2865,CVE-2019-2866,CVE-2019-2867,CVE-2019-2873,CVE-2019-2874,CVE-2019-2875,CVE-2019-2876,CVE-2019-2877
Sources used:
openSUSE Leap 15.1 (src):    virtualbox-6.0.10-lp151.2.6.1
openSUSE Leap 15.0 (src):    virtualbox-6.0.10-lp150.4.36.1